local zoom_sewage;

function CreateShipComposition()
     createCompositionzoom = function()
    
        local compositionzoom = CreateCompositionSequence();
        local compositionDuration = 3.76666666666667 * 1.5;
        compositionzoom:SetDuration(compositionDuration);
        compositionzoom:SetHotSpot(320, 240);
        
        -- Layer Layer_2
        local element = CreateCompositionElement("data/Texture/Scenes/05_Gendarmery/Zone_wart/Zoom_sewage/Animations/Ship.png");
        element:SetName("Layer_2");
        element:GetTexture():SetTextureRect(0,0,144,70);
        element:GetTexture():SetSpeed(12);
        element:GetTexture():SetFrames(19);
        element:GetTexture():SetMode(HGEANIM_PINGPONG + HGEANIM_LOOP);
        element:GetTexture():Play();
        
        compositionzoom:AddElement(element);
        element:SetParentElement(compositionzoom);
        
        element:SetHotSpot(72, 35);
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, compositionDuration);
        
        effector:SetKey(_TRACK_X, 0, -47);
        effector:SetKey(_TRACK_Y, 0, 233);
        effector:SetKey(_TRACK_X, compositionDuration, 695);
        effector:SetKey(_TRACK_Y, compositionDuration, 241);
        effector:Play();
        
        return compositionzoom;
    end
    
    return createCompositionzoom();
end

function CreateWaterCopmosition()
    createCompositionPre_comp_1 = function()
    
        local compositionPre_comp_1 = CreateCompositionSequence();
        local compositionDuration = 0.32;
        compositionPre_comp_1:SetDuration(compositionDuration);
        compositionPre_comp_1:SetCyclic(true);
    
    
        -- Layer Layer_1
        local element = CreateCompositionElement("data/Texture/Scenes/05_Gendarmery/Zone_wart/Zoom_sewage/water1.jpg");
        element:SetName("Layer_1");
        compositionPre_comp_1:AddElement(element);
        element:SetHotSpot(320, 35);
        element:SetParentElement(compositionPre_comp_1);
        element:SetXY(320, 240);
    
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 0.30239993691444);
    
        effector:SetKey(_TRACK_O, 0, 0);
        effector:SetKey(_TRACK_O, 0.13999997079372, 1);
        effector:SetKey(_TRACK_O, 0.2967999380827, 0.01003452845982);
    
        effector:Play();
    
    
        -- Layer Layer_2
        local element = CreateCompositionElement("data/Texture/Scenes/05_Gendarmery/Zone_wart/Zoom_sewage/water2.jpg");
        element:SetName("Layer_2");
        compositionPre_comp_1:AddElement(element);
        element:SetHotSpot(320, 35);
        element:SetParentElement(compositionPre_comp_1);
        element:SetXY(320, 240);
    
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 2.6399998664856);
    
    
        effector:Play();
    
        compositionPre_comp_1:Play();
    
        return compositionPre_comp_1;
    end
    
    createCompositionPre_comp_2 = function()
    
        local compositionPre_comp_2 = CreateCompositionSequence();
        local compositionDuration = 0.92;
        compositionPre_comp_2:SetDuration(compositionDuration);
        compositionPre_comp_2:SetCyclic(true);
    
    
        -- Layer Layer_1
        local element = CreateCompositionElement("data/Texture/Scenes/05_Gendarmery/Zone_wart/Zoom_sewage/water7.jpg");
        element:SetName("Layer_1");
        compositionPre_comp_2:AddElement(element);
        element:SetHotSpot(320, 35);
        element:SetParentElement(compositionPre_comp_2);
        element:SetXY(320, 240);
    
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 0.92);
    
        effector:SetKey(_TRACK_O, 0, 0);
        effector:SetKey(_TRACK_O, 0.43999570608139, 0.4);
        effector:SetKey(_TRACK_O, 0.8800043463707, 0.02);
    
        effector:Play();
    
    
        -- Layer Layer_2
        local element = CreateCompositionElement("data/Texture/Scenes/05_Gendarmery/Zone_wart/Zoom_sewage/water8.jpg");
        element:SetName("Layer_2");
        compositionPre_comp_2:AddElement(element);
        element:SetHotSpot(320, 35);
        element:SetParentElement(compositionPre_comp_2);
        element:SetXY(320, 240);
    
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 0.92);
    
        effector:SetKey(_TRACK_O, 0, 0.4);
        effector:SetKey(_TRACK_O, 0.43999570608139, 0);
        effector:SetKey(_TRACK_O, 0.8800043463707, 0.4);
    
        effector:Play();
    
        compositionPre_comp_2:Play();
    
        return compositionPre_comp_2;
    end
    
    createCompositionzoom = function()
    
        local compositionzoom = CreateCompositionSequence();
        local compositionDuration = 10.96;
        compositionzoom:SetDuration(compositionDuration);
        compositionzoom:SetCyclic(true);
        compositionzoom:SetHotSpot(320, 240);
    
    
        -- Layer Layer_1
        local element = CreateCompositionElement("data/Texture/Scenes/05_Gendarmery/Zone_wart/Zoom_sewage/water_mask.png");
        element:SetName("Layer_1");
        compositionzoom:AddElement(element);
        element:SetHotSpot(320, 47.5);
        element:SetParentElement(compositionzoom);
        element:SetXY(320, 241.5);
    
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 10.96);
    
    
        effector:Play();
    
    
        -- Layer Leaf_2
        local element = CreateCompositionElement("data/Texture/Scenes/05_Gendarmery/Zone_wart/Zoom_sewage/maple3.png");
        element:SetName("Leaf_2");
        compositionzoom:AddElement(element);
        element:SetHotSpot(30, 28);
        element:SetParentElement(compositionzoom);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 30.25);
    
        effector:SetKey(_TRACK_X, 0.4, -34);
        effector:SetKey(_TRACK_Y, 0.4, 246);
        effector:SetKey(_TRACK_X, 10.6, 643);
        effector:SetKey(_TRACK_Y, 10.6, 246);
        effector:SetKey(_TRACK_SX, 4.12, 0.57666666666667);
        effector:SetKey(_TRACK_SY, 4.12, 0.69844720496894);
        effector:SetKey(_TRACK_SX, 6.92, 0.66666666666667);
        effector:SetKey(_TRACK_SY, 6.92, 0.44844720496894);
        effector:SetKey(_TRACK_SX, 10.24, 0.57666666666667);
        effector:SetKey(_TRACK_SY, 10.24, 0.69844720496894);
        effector:SetKey(_TRACK_A, 0, 0);
        effector:SetKey(_TRACK_A, 10.72, 4.78106203489662);
        effector:SetKey(_TRACK_O, 4.24, 1);
        effector:SetKey(_TRACK_O, 6.6, 0.64);
        effector:SetKey(_TRACK_O, 8.8, 1);
    
        effector:Play();
    
    
        -- Layer Dust_3
        local element = CreateCompositionElement("data/Texture/Scenes/05_Gendarmery/Zone_wart/Zoom_sewage/dust1.png");
        element:SetName("Dust_3");
        compositionzoom:AddElement(element);
        element:SetHotSpot(320, 35);
        compositionzoom:RegisterParentInfo("Dust_3", "Dust_4");
        element:SetXY(960, 35);
    
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(0.14);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 10.96);
    
    
        effector:Play();
    
    
        -- Layer Dust_4
        local element = CreateCompositionElement("data/Texture/Scenes/05_Gendarmery/Zone_wart/Zoom_sewage/dust1.png");
        element:SetName("Dust_4");
        compositionzoom:AddElement(element);
        element:SetHotSpot(320, 35);
        element:SetParentElement(compositionzoom);
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(0.14);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 10.96);
    
        effector:SetKey(_TRACK_X, 0, -319);
        effector:SetKey(_TRACK_Y, 0, 242);
        effector:SetKey(_TRACK_X, 10.92, 320);
        effector:SetKey(_TRACK_Y, 10.92, 242);
    
        effector:Play();
    
    
        -- Layer Dust_5
        local element = CreateCompositionElement("data/Texture/Scenes/05_Gendarmery/Zone_wart/Zoom_sewage/dust2.png");
        element:SetName("Dust_5");
        compositionzoom:AddElement(element);
        element:SetHotSpot(320, 35);
        compositionzoom:RegisterParentInfo("Dust_5", "Dust_6");
        element:SetXY(960, 35);
    
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(0.37);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 10.96);
    
    
        effector:Play();
    
    
        -- Layer Dust_6
        local element = CreateCompositionElement("data/Texture/Scenes/05_Gendarmery/Zone_wart/Zoom_sewage/dust2.png");
        element:SetName("Dust_6");
        compositionzoom:AddElement(element);
        element:SetHotSpot(320, 35);
        element:SetParentElement(compositionzoom);
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(0.37);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 10.96);
    
        effector:SetKey(_TRACK_X, 0, -320);
        effector:SetKey(_TRACK_Y, 0, 240);
        effector:SetKey(_TRACK_X, 10.88, 319);
        effector:SetKey(_TRACK_Y, 10.88, 240);
    
        effector:Play();
    
    
        -- Layer Copm_7
        local element = createCompositionPre_comp_2();
        element:SetName("Copm_7");
        compositionzoom:AddElement(element);
        element:SetHotSpot(320, 240);
        element:SetParentElement(compositionzoom);
        element:SetXY(320, 240);
    
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, compositionDuration);
    
    
        effector:Play();
    
    
        -- Layer Comp_8
        local element = createCompositionPre_comp_1();
        element:SetName("Comp_8");
        compositionzoom:AddElement(element);
        element:SetHotSpot(320, 240);
        element:SetParentElement(compositionzoom);
        element:SetXY(320, 240);
    
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, compositionDuration);
    
    
        effector:Play();
    
        compositionzoom:Play();
    
        return compositionzoom;
    end
    
    return createCompositionzoom();
end

function StartShipAnimation(time_delay)
    local time = zoom_sewage.ship:GetDuration() + time_delay;
    
    TimerDoString("zoom_sewage.ship:Play();", time, play_field:GetTimer());
end

function StartShipAnimation(max_delay)
    if zoom_sewage.IsVisible()
    then
        local time = zoom_sewage.ship:GetDuration() + max_delay;
        
        zoom_sewage.ship:Play();
        TimerDoString("StartShipAnimation("..max_delay..")", time, play_field:GetTimer());
    end
end

function OnSceneLoad(screen)
    LoadData(screen)
    DefaultOnSceneLoad('data/Scenes/05_Gandarmery_Wart.lua', 'quest', 'data/Scenes/05_Gendarmery_Main.lua');
    
    play_field:GetObject('rat2_anim'):GetAnimation():SetMode(HGEANIM_FWD + HGEANIM_NOLOOP);
    play_field:GetObject('rat2_anim'):GetAnimation():Stop();
    play_field:GetObject('rat2_anim'):SetVisible(false);
    
    play_field:GetObject('rat1_anim'):GetAnimation():SetMode(HGEANIM_FWD + HGEANIM_NOLOOP);
    play_field:GetObject('rat1_anim'):GetAnimation():Stop();
    play_field:GetObject('rat1_anim'):SetVisible(false);
    
    play_field:GetObject('layer_luk_open'  ):SetOpacity(0);
    play_field:GetObject('layer_luk_open_2'):SetOpacity(0);
    play_field:GetObject('area_sewage'):SetVisible(false);
    
    play_field:GetObject("rat_in_luk_anim"):GetAnimation():SetMode(HGEANIM_FWD + HGEANIM_NOLOOP);
    play_field:GetObject("rat_in_luk_anim"):GetAnimation():Stop();
    
    play_field:GetObject("rat_in_luk_2_anim"):GetAnimation():SetMode(HGEANIM_FWD + HGEANIM_NOLOOP);
    play_field:GetObject("rat_in_luk_2_anim"):GetAnimation():Stop();
    
    play_field:GetObject("Lamp_anim_fire"   ):GetAnimation():SetMode(HGEANIM_FWD + HGEANIM_LOOP);
    play_field:GetObject("Lamp_anim_shadow" ):GetAnimation():SetMode(HGEANIM_FWD + HGEANIM_LOOP);
    play_field:GetObject("Lamp_anim_speck"  ):GetAnimation():SetMode(HGEANIM_FWD + HGEANIM_LOOP);
    
    if not  HasGameState('MiniGameCompleted', '04_lamp')
        and HasGameState('MINI_GAME_04_LAMP_STATE', "3")
    then
        play_field:GetObject("lamp"):SetVisible(false);
    else
        play_field:GetObject("Lamp_anim_fire"   ):SetVisible(false);
        play_field:GetObject("Lamp_anim_shadow" ):SetVisible(false);
        play_field:GetObject("Lamp_anim_speck"  ):SetVisible(false);
        play_field:GetObject("lamp2"            ):SetVisible(false);
    end
    
    if not HasGameState('ToolFound', '05_soap') then
        play_field:GetObject('area_luk'):SetVisible(false);
    end
    
    LinkScene(  'area_lock',
                'CursorGlass',
                'data/Scenes/Minigames/05_lock.lua',
                false);
    
    LinkScene(  'area_cell1',
                'CursorRight',
                'data/Scenes/05_Gandarmery_Wart_Cell1.lua',
                false);
    
    LinkScene(  'area_cell2',
                'CursorUpRight',
                'data/Scenes/05_Gandarmery_Wart_Cell2.lua',
                false);
    
    LinkScene(  'area_cell3',
                'CursorUpRight',
                'data/Scenes/05_Gandarmery_Wart_Cell3.lua',
                false);
    
    LinkScene(  'area_lamp',
                'CursorGlass',
                'data/Scenes/Minigames/04_lamp.lua',
                false);
    
    zoom_sewage = CreateZoomZone('area_sewage',
                                 'CloseZoneSewage',
                                 'ZOOM_sewage',  true,
                                 'sewage_layer', true,
                                 'web_layer',    true,
                                 'Match',        true,
                                 'ship',         true,
                                 'area_match',   true,
                                 'rat_in_luk_anim',   true,
                                 'rat_in_luk_2_anim', true);
    
    play_field:GetObject('area_match'):GetAnimation():SetColor('0x01FFFFFF');
    
    zoom_sewage.water = CreateWaterCopmosition();
    zoom_sewage.water:AttachTo( play_field:GetObject('ZOOM_sewage') );
    zoom_sewage.water:SetClippingRect(512-320, 384-240, 640, 480)
    zoom_sewage.water:SetZ(1);
    
    zoom_sewage.ship = CreateShipComposition();
    zoom_sewage.ship:SetDestroysOnEnd(false);
    zoom_sewage.ship:AttachTo( play_field:GetObject('ZOOM_sewage') );
    zoom_sewage.ship:SetClippingRect(512-320, 384-240, 640, 480)
    zoom_sewage.ship:SetZ(2);
    
    zoom_sewage.on_open = function()
        zoom_sewage.water:Play();
        
        StartShipAnimation(30);
        
        TimerDoString("play_field:GetObject('rat_in_luk_anim'):GetAnimation():Play()",   ZOOM_ZONE_APPEARING_TIME + 0.2, play_field:GetTimer());
        TimerDoString("play_field:GetObject('rat_in_luk_2_anim'):GetAnimation():Play()", ZOOM_ZONE_APPEARING_TIME + 1, play_field:GetTimer());
    end
    
    zoom_sewage.on_close = function()
       zoom_sewage.ship:Stop();
       
       play_field:GetObject('rat_in_luk_anim'):GetAnimation():Stop()
       play_field:GetObject('rat_in_luk_2_anim'):GetAnimation():Stop()
       
       play_field:GetObject('rat_in_luk_anim'):GetAnimation():SetFrame(1);
       play_field:GetObject('rat_in_luk_2_anim'):GetAnimation():SetFrame(1);
    end
    
    if HasGameState('MiniGameCompleted', '05_lock') then
        play_field:GetObject('area_lock'):SetVisible(false);
        
        if not HasGameState('ActionCompleted', game_state.scene_path..'(doorOpen)') then
            AddGameState('ActionCompleted', game_state.scene_path..'(doorOpen)');
            
            play_field:GetObject('door_open_layer' ):ChangeOpacity(0., 1., OPEN_DOOR_TIME);
            play_field:GetObject('area_cell3'      ):SetVisible(true);
            game_state.opening_door = true;
            
            PlaySound('OpenDoor');
            
            TimerDoString("PlayAnimationPeriodicallyVsDelay('rat1_anim', 10)", OPEN_DOOR_TIME, play_field:GetTimer());
        else
            TimerDoString("PlayAnimationPeriodicallyVsDelay('rat1_anim', 10)", math.random(10), play_field:GetTimer());
        end
    else
        play_field:GetObject('door_open_layer'):SetOpacity(0.);
        play_field:GetObject('area_cell3'     ):SetVisible(false);
    end
    
    if HasGameState('ToolFound', '05_lamp') then
        play_field:GetObject('lamp'):SetVisible(false);
    else
        PlayAnimationPeriodicallyVsDelay('rat2_anim', 6);
    end
    
    RegisterActiveObject('area_luk',    function(obj_name)
                                            if HasGameState('ActionCompleted', game_state.scene_path..'(doorOpen)') then
                                                play_field:GetObject('layer_luk_open'):ChangeOpacity(0, 1, OPEN_DOOR_TIME);
                                            else
                                                play_field:GetObject('layer_luk_open_2'):ChangeOpacity(0, 1, OPEN_DOOR_TIME);
                                            end
                                            
                                            PlaySound('05_OpenSewage');
                                            play_field:GetObject('area_sewage'):SetVisible(true);
                                        end,
                                        function(obj_name)
                                            if game_state.opening_door then
                                                play_field:GetObject('layer_luk_open'):ChangeOpacity(0, 1, OPEN_DOOR_TIME);
                                            else
                                                if HasGameState('ActionCompleted', game_state.scene_path..'(doorOpen)') then
                                                    play_field:GetObject('layer_luk_open'):SetOpacity(1);
                                                else
                                                    play_field:GetObject('layer_luk_open_2'):SetOpacity(1);
                                                end
                                            end
                                            
                                            play_field:GetObject('area_sewage'):SetVisible(true);
                                        end);
                                        
    RegisterToolFindInfo('05_match', 'area_match',  function(tool_name)
                                                        zoom_sewage.Disable();
                                                    end,
                                                    function(tool_name)
                                                        zoom_sewage.Disable();
                                                    end);
end

function OnSceneFree(screen)
    DefaultOnSceneFree()
    FreeData(screen)
end

function OnUpdate(dt)
    DefaultOnUpdate(dt)
end

function OnAllItemsFound()
    DefaultOnAllItemsFound()
end

function OnLose()
    DefaultOnLose()
end

function OnExit()
    DefaultOnExit()
end

function OnClose()
    DefaultOnClose()
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    local is_wrong_click = not DefaultOnObjectMouseDown(object)
    local obj_name = object:GetName()
    local pf = play_field

    DefaultOnObjectMouseDownProcessed(is_wrong_click);
end

function OnObjectMouseUp(object)
    DefaultOnObjectMouseUp(object)
end

function OnObjectFound(object)
    DefaultOnObjectFound(object)
end

function OnToolFound(tool)
    DefaultOnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
    DefaultOnObjectReachPanel(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
    DefaultOnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
    DefaultOnSetTool(tool)
end

function LevelLoaded(level)
end

function OnSceneDestroy(playfield)
    DefaultOnSceneDestroy(playfield)
end

--------------------------------------------------------------------------------
-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_wart/Layer/background.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('background',anim,512,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_lock',anim,599,398,102,0,10,10)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_cell1',anim,397,376,100,0,12,32)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_cell2',anim,893,336,100,0,30,65)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_wart/Layer/door_open_layer.png',0,0,155,441,1,0)
	anim:SetHotSpot(77,220)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('door_open_layer',anim,573,369,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_cell3',anim,574,347,104,0,20,50)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_wart/Layer/lamp.png',0,0,151,309,1,0)
	anim:SetHotSpot(75,154)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lamp',anim,154,537,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_wart/Layer/lamp2.png',0,0,151,309,1,0)
	anim:SetHotSpot(75,154)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lamp2',anim,154,537,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_lamp',anim,168,516,109,0,18,32)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_wart/Animations/rat1_anim.png',0,0,389,109,44,25)
	anim:SetHotSpot(194,54)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('rat1_anim',anim,473,593,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_wart/Animations/rat2_anim.png',0,0,86,16,38,20)
	anim:SetHotSpot(43,8)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('rat2_anim',anim,238,453,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_wart/Animations/fly_anim.png',0,0,217,217,8,10)
	anim:SetHotSpot(108,108)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fly_anim',anim,268,148,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_wart/Layer/layer_luk_open.jpg',0,0,243,70,1,0)
	anim:SetHotSpot(121,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_luk_open',anim,459,562,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_wart/Layer/layer_luk_open_2.png',0,0,243,79,1,0)
	anim:SetHotSpot(121,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_luk_open_2',anim,459,566,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_luk',anim,479,565,103,30,15,7)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_sewage',anim,479,565,104,30,15,7)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_wart/Zoom_sewage/ZOOM_sewage.png',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('ZOOM_sewage',anim,512,384,150,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_wart/Zoom_sewage/sewage_layer.png',0,0,640,159,1,0)
	anim:SetHotSpot(320,79)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('sewage_layer',anim,512,348,155,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_wart/Zoom_sewage/Match.png',0,0,66,39,1,0)
	anim:SetHotSpot(33,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Match',anim,594,474,151,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_match',anim,597,467,157,0,12,7)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_wart/Zoom_sewage/web_layer.png',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('web_layer',anim,512,384,156,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_wart/Animations/rat1_anim.png',0,0,389,109,44,25)
	anim:SetHotSpot(194,54)
	anim:SetBlendMode(2)
	anim:SetColor('0x88FFFFFF')
	screen:CreateObject('rat_in_luk_anim',anim,387,326,153,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_wart/Animations/rat1_anim.png',0,0,389,109,44,25)
	anim:SetHotSpot(194,54)
	anim:SetBlendMode(2)
	anim:SetColor('0x88FFFFFF')
	screen:CreateObject('rat_in_luk_2_anim',anim,622,333,154,0,-1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_wart/Animations/Lamp_anim_fire.png',0,0,144,207,34,12)
	anim:SetHotSpot(72,103)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lamp_anim_fire',anim,170,518,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_wart/Animations/Lamp_anim_shadow.png',0,0,161,90,11,12)
	anim:SetHotSpot(80,45)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lamp_anim_shadow',anim,164,644,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_wart/Animations/Lamp_anim_speck.png',0,0,96,253,11,12)
	anim:SetHotSpot(48,126)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lamp_anim_speck',anim,48,532,101,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
